
Foreman - Refactor #14076

Remove Puppet class host groups counter

03/07/2016 07:28 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Database   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1336007 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3285

  

Description

The hostgroups_count cached counter on the Puppetclass model is unused, as spotted in 

https://github.com/theforeman/foreman/pull/3282#issuecomment-193182954, so it can be removed.

Related issues:

Related to Foreman - Bug #14064: Puppetclass#hostgroups_count should be exclu... Rejected 03/07/2016

Associated revisions

Revision be6e6efc - 03/08/2016 03:37 AM - Dominic Cleal

fixes #14076 - remove unused Puppetclass hostgroups counter

History

#1 - 03/07/2016 07:28 AM - Dominic Cleal

- Related to Bug #14064: Puppetclass#hostgroups_count should be excluded from auditing added

#2 - 03/07/2016 07:29 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3285 added

#3 - 03/08/2016 04:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset be6e6efc869f1ea4385cb21bb9dbdb8dc8ea29e2.

#4 - 03/08/2016 08:04 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#5 - 08/18/2016 01:35 PM - Brad Buckingham

- Bugzilla link set to 1336007
